Source: php-redis
Section: php
Priority: optional
Maintainer: Debian PHP PECL Maintainers <team+php-pecl@tracker.debian.org>
Uploaders: Jonas Genannt <jonas.genannt@capi2name.de>,
           Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 10~),
               dh-php (>= 5.5~),
               liblz4-dev,
               libzstd-dev,
               php-all-dev (>= 2:95~),
               php8.4-igbinary, php-igbinary-all-dev (>= 3.2.16-3~)
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/php-team/pecl/php-redis.git
Vcs-Browser: https://salsa.debian.org/php-team/pecl/php-redis
Homepage: https://pecl.php.net/package/redis

Package: php-redis
Architecture: all
Pre-Depends: php-common (>= 2:69~)
Depends: ${misc:Depends},
         ${pecl:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Breaks: ${pecl:Breaks}
Replaces: ${pecl:Replaces}
Suggests: redis-server,
          ${pecl:Suggests}
Provides: ${pecl:Provides},
          ${php:Provides}
Description: PHP extension for interfacing with Redis
 This extension allows php applications to communicate with the Redis
 persistent key-value store.  The php-redis module provides an easy
 object oriented interface.
 .
 This is empty package that depends on default PHP version.

Package: php-redis-all-dev
Architecture: all
Pre-Depends: php-common (>= 2:69~)
Depends: ${misc:Depends},
         ${pecl:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Breaks: ${pecl:Breaks}
Replaces: ${pecl:Replaces}
Suggests: redis-server,
          ${pecl:Suggests}
Provides: ${pecl:Provides},
          ${php:Provides}
Description: PHP extension for interfacing with Redis
 This extension allows php applications to communicate with the Redis
 persistent key-value store.  The php-redis module provides an easy
 object oriented interface.
 .
 This is empty package that depends on all PHP versions.

Package: php8.4-redis
Architecture: any
Pre-Depends: php-common (>= 2:69~)
Depends: ${misc:Depends},
         ${pecl:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Breaks: ${pecl:Breaks}
Replaces: ${pecl:Replaces}
Suggests: redis-server,
          ${pecl:Suggests}
Provides: ${pecl:Provides},
          ${php:Provides}
Description: PHP extension for interfacing with Redis
 This extension allows php applications to communicate with the Redis
 persistent key-value store.  The php-redis module provides an easy
 object oriented interface.

